from django import forms
from .models import GradingSettings

class GradingSettingsForm(forms.ModelForm):
    class Meta:
        model = GradingSettings
        fields = "__all__"
        widgets = {f: forms.NumberInput(attrs={"step": "0.1", "class": "input"}) 
                   for f in fields}
